class GetTitleDataRequest {
  List<String> keys;

  GetTitleDataRequest({this.keys});

  GetTitleDataRequest.fromJson(Map<String, dynamic> json) {
    keys = json['Keys'].cast<String>();
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['Keys'] = this.keys;
    return data;
  }
}

class LoginResult {
  String sessionTicket;
  String playFabId;
  bool newlyCreated;

  LoginResult({this.sessionTicket, this.playFabId, this.newlyCreated});

  LoginResult.fromJson(Map<String, dynamic> json) {
    sessionTicket = json['SessionTicket'];
    playFabId = json['PlayFabId'];
    newlyCreated = json['NewlyCreated'];
  }

  LoginResult.parse(Map<String, dynamic> json) {
    sessionTicket = json['data']['SessionTicket'];
    playFabId = json['data']['PlayFabId'];
    newlyCreated = json['data']['NewlyCreated'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['SessionTicket'] = this.sessionTicket;
    data['PlayFabId'] = this.playFabId;
    data['NewlyCreated'] = this.newlyCreated;
    return data;
  }
}